Package org.h2.mvstore

# Class FileStore.PageSerializationManager

java.lang.Object
org.h2.mvstore.FileStore.PageSerializationManager

Enclosing class:
  FileStore<C extends Chunk<C>>

public final class FileStore.PageSerializationManager extends Object

## Method Summary

Modifier and Type
Method
Description
`WriteBuffer`
`getBuffer()`
`int`
`getPageNo()`
`long`
`getPagePosition(int mapId, int offset, int pageLength, int type)`
`void`
`onPageSerialized(Page<?,?> page, boolean isDeleted, int diskSpaceUsed, boolean isPinned)`
`void`
`serializeToC()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getBuffer

public WriteBuffer getBuffer()

### getPageNo

public int getPageNo()

### getPagePosition

public long getPagePosition(int mapId, int offset, int pageLength, int type)

### onPageSerialized

public void onPageSerialized(Page<?,?> page, boolean isDeleted, int diskSpaceUsed, boolean isPinned)

### serializeToC

public void serializeToC()